︠1345e1e0-242a-4305-bf17-3f49212f3240is︠
%html
<h2 style="color:blue">
    Bard - Sage - Elementary Matrices Demo
</h2>
︡d97acce7-6121-4e45-9a80-f63a18cf7f42︡{"html":"<h2 style=\"color:blue\">\n    Bard - Sage - Elementary Matrices Demo\n</h2>\n"}︡
︠8c0e3f17-7c49-4a83-b5b7-4b4ea1e44f6di︠
%html

<h3>
    Using the Sage Interface
</h3>

<ul>
    <li>Each activity starts after a gray horizontal line.</li>
    <li>Write the commands, then put the cursor in the code, and then click on Run.</li>
    <li>The output will appear after the commands, and a new gray line will appear, allowing for a new activity.</li>
    <li>If there is an error in the code, error messages will appear in red.</li>
    <li>Many Sage commands can be found in the menus at the top of the page.  When a menu item is clicked, an example will appear where the cursor was; the example can then be modified to do what you want.</li>
    </ul>

︡d8883c4d-d143-4e0a-bd4a-9ba586cc28e9︡{"html":"\n<h3>\n    Using the Sage Interface\n</h3>\n\n<ul>\n    <li>Each activity starts after a gray horizontal line.</li>\n    <li>Write the commands, then put the cursor in the code, and then click on Run.</li>\n    <li>The output will appear after the commands, and a new gray line will appear, allowing for a new activity.</li>\n    <li>If there is an error in the code, error messages will appear in red.</li>\n    <li>Many Sage commands can be found in the menus at the top of the page.  When a menu item is clicked, an example will appear where the cursor was; the example can then be modified to do what you want.</li>\n    </ul>\n\n"}︡
︠5e69c7b6-79ce-4afc-8724-9a5ad5d383a2is︠
%html

<h3 style="color:red">
    IMPORTANT
</h3>

<ul>
    <li>Every time you start this worksheet, the first thing you need to do is to load the definitions by putting the cursor in the code in the following box and then clicking on Run.</li>
</ul>
︡3754550c-9621-4a7d-b0d8-29a01ad6cd44︡{"html":"\n<h3 style=\"color:red\">\n    IMPORTANT\n</h3>\n\n<ul>\n    <li>Every time you start this worksheet, the first thing you need to do is to load the definitions by putting the cursor in the code in the following box and then clicking on Run.</li>\n</ul>\n"}︡
︠62728ac0-8e26-44fe-a5c0-b1aee9271361s︠
def elem_n_matrix_mult_row_r_by_s(n,r,s):
    N = elementary_matrix(QQ, n, row1=r-1, scale=s)
    return N
def elem_n_matrix_switch_rows_i_and_k(n,i,k):
    N = elementary_matrix(QQ, n, row1=i-1, row2=k-1)
    return N
def elem_n_matrix_add_s_times_row_i_to_row_k(n,s,i,k):
    N = elementary_matrix(QQ, n, row1=k-1, row2=i-1, scale=s)
    return N
︡1bf7e763-a1a9-4a60-ae06-1c9b1fa540dd︡
︠01cefb36-ad0b-4469-b926-cbd8c1d147e6i︠
%html

<h4>
    Defining a matrix
</h4>

<ul>
    <li>When a matrix is defined, the matrix is not automatically displayed.  To display the matrix, type its name on the line after the definition of the matrix.</li>
    <li>The <tt>QQ</tt> in the following example tell Sage to think of the matrix as having rational number entries.  If you replace <tt>QQ</tt> with <tt>RR</tt>, as in the next example, the matrix will be displayed with decimal entries.</li>
</ul>
︡fa5f926f-db03-4285-abb9-8ba182907c39︡{"html":"\n<h4>\n    Defining an elementary matrix obtained by multiplying a row of the identity matrix by a number\n</h4>\n\n<ul>\n    <li>In the command <tt>elem_n_matrix_mult_row_r_by_s(n,r,s)</tt>, replace the <tt>n</tt>, <tt>r</tt> and <tt>s</tt> in the parentheses with the size of the matrix, the row number and the scalar, respectively.</li>\n    <li>As always, the matrix is not automatically displayed.  To display the matrix, type its name on the line after the command.</li>\n</ul>\n"}︡
︠cd21fb58-1981-40c8-b840-a6e2dc8c0e87s︠
M = elem_n_matrix_mult_row_r_by_s(4,2,5)
M
︠1d76ce22-e7e8-40c8-93f5-6de86650a804is︠
%html

<h4>
    Defining an elementary matrix obtained by switching two rows of the identity matrix
</h4>

<ul>
    <li>In the command <tt>elem_n_matrix_switch_rows_i_and_k(n,i,k)</tt>, replace the <tt>n</tt>, <tt>i</tt> and <tt>k</tt> in the parentheses with the size of the matrix and the row numbers of the two rows that are being switched.</li>
    <li>Here too, the matrix is not automatically displayed.  To display the matrix, type its name on the line after the command.</li>
</ul>
︡56799f50-b297-48e8-aaba-2d3a886d72ef︡{"html":"\n<h4>\n    Defining an elementary matrix obtained by switching two rows of the identity matrix\n</h4>\n\n<ul>\n    <li>In the command <tt>elem_n_matrix_switch_rows_i_and_k(n,i,k)</tt>, replace the <tt>n</tt>, <tt>i</tt> and <tt>k</tt> in the parentheses with the size of the matrix and the row numbers of the two rows that are being switched.</li>\n    <li>Here too, the matrix is not automatically displayed.  To display the matrix, type its name on the line after the command.</li>\n</ul>\n"}︡
︠34528e79-6692-4819-a895-b0b9fa01f835s︠
M = elem_n_matrix_switch_rows_i_and_k(4,2,3)
M
︠02fbc9e1-64b2-4e28-b6d0-f4d1224acb15is︠
%html

<h4>
    Defining an elementary matrix obtained by adding a multiple of one row of the identity matrix to another row of the identity matrix
</h4>

<ul>
    <li>In the command <tt>elem_n_matrix_add_s_times_row_i_to_row_k(n,s,i,k)</tt>, replace the <tt>n</tt>, <tt>s</tt>, <tt>i</tt> and <tt>k</tt> in the parentheses with the size of the matrix, the scalar, the row number of the row being multiplied and the row number of the row to which the multiple is being added, respectively.</li>
    <li>Here too, the matrix is not automatically displayed.  To display the matrix, type its name on the line after the command.</li>
</ul>
︡ca801ed6-4566-409d-88cb-3a721a9536d1︡{"html":"\n<h4>\n    Defining an elementary matrix obtained by adding a multiple of one row of the identity matrix to another row of the identity matrix\n</h4>\n\n<ul>\n    <li>In the command <tt>elem_n_matrix_add_s_times_row_i_to_row_k(n,s,i,k)</tt>, replace the <tt>n</tt>, <tt>s</tt>, <tt>i</tt> and <tt>k</tt> in the parentheses with the size of the matrix, the scalar, the row number of the row being multiplied and the row number of the row to which the multiple is being added, respectively.</li>\n    <li>Here too, the matrix is not automatically displayed.  To display the matrix, type its name on the line after the command.</li>\n</ul>\n"}︡
︠8c994df0-0243-47f8-9b2b-9045c0a8c942s︠
M = elem_n_matrix_add_s_times_row_i_to_row_k(4,5,2,4)
M
︠eb001c66-81af-4962-8b59-c4c7a03647f7︠









