︠1349097b-f746-41d3-9c4d-172914829c95is︠
%html
<h2 style="color:blue">
    Bard - Sage - Function Plot Demo
</h2>
︡ea4d76c1-8701-4326-89f3-4b7bb70e2475︡{"html":"<h2 style=\"color:blue\">\n    Bard - Sage - Function Plot Demo\n</h2>\n"}︡
︠0ee55e2c-9264-4a70-85fa-5f70c6c5ec48is︠
%html

<ul>
    <li>Put the cursor in the code below, and then click on Run (the green square with the triangle in the middle of the menu above).</li>
    <li>You can change the function $f(x)$, the $x$-interval and $y$-interval, and the aspect ratio.</li>
</ul>

︡b682231b-e6a3-447f-b6e4-807403f7a56f︡{"html":"\n<ul>\n    <li>Put the cursor in the code below, and then click on Run (the green square with the triangle in the middle of the menu above).</li>\n    <li>You can change the function $f(x)$, the $x$-interval and $y$-interval, and the aspect ratio.</li>\n</ul>\n\n"}︡
︠5566511f-6e16-416f-9080-8b3bca7de57as︠
y = var('y');
@interact
def _(
    f = input_box(default = x^2, label = "$f(x)$"),
    xinterval=range_slider(-20, 20, 1, default = (-5, 5), label = "$x$-interval"),
    yinterval=range_slider(-800, 800, 1, default = (-30, 30), label = "$y$-interval"),
    aspect_ratio = ("Aspect Ratio 1", False),
    ):
        x_min, x_max = map(QQ, xinterval);
        y_min, y_max = map(QQ, yinterval);
        if aspect_ratio == True:
            plt = plot(f, x, xmin = x_min, xmax = x_max, ymin = y_min, ymax = y_max, aspect_ratio=1);
        else:
            plt = plot(f, x, xmin = x_min, xmax = x_max, ymin = y_min, ymax = y_max);
        html(r'$$z = %s$$'% (latex(f)));
        show(plt)
︡3a428d3d-6412-4611-a8f7-c7552224d4aa︡{"interact":{"style":"None","flicker":false,"layout":[[["f",12,null]],[["xinterval",12,null]],[["yinterval",12,null]],[["aspect_ratio",12,null]],[["",12,null]]],"id":"8e5e1116-a4b2-4c4a-880c-b632c09aa53c","controls":[{"control_type":"input-box","default":"x^2","label":"$f(x)$","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"f","type":null},{"control_type":"range-slider","default":[15,25],"var":"xinterval","width":null,"vals":["-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20"],"animate":true,"label":"$x$-interval","display_value":true},{"control_type":"range-slider","default":[257,277],"var":"yinterval","width":null,"vals":["-800","-797","-794","-791","-788","-785","-782","-779","-776","-773","-770","-767","-764","-761","-758","-755","-752","-749","-746","-743","-740","-737","-734","-731","-728","-725","-722","-719","-716","-713","-710","-707","-704","-701","-698","-695","-692","-689","-686","-683","-680","-677","-674","-671","-668","-665","-662","-659","-656","-653","-650","-647","-644","-641","-638","-635","-632","-629","-626","-623","-620","-617","-614","-611","-608","-605","-602","-599","-596","-593","-590","-587","-584","-581","-578","-575","-572","-569","-566","-563","-560","-557","-554","-551","-548","-545","-542","-539","-536","-533","-530","-527","-524","-521","-518","-515","-512","-509","-506","-503","-500","-497","-494","-491","-488","-485","-482","-479","-476","-473","-470","-467","-464","-461","-458","-455","-452","-449","-446","-443","-440","-437","-434","-431","-428","-425","-422","-419","-416","-413","-410","-407","-404","-401","-398","-395","-392","-389","-386","-383","-380","-377","-374","-371","-368","-365","-362","-359","-356","-353","-350","-347","-344","-341","-338","-335","-332","-329","-326","-323","-320","-317","-314","-311","-308","-305","-302","-299","-296","-293","-290","-287","-284","-281","-278","-275","-272","-269","-266","-263","-260","-257","-254","-251","-248","-245","-242","-239","-236","-233","-230","-227","-224","-221","-218","-215","-212","-209","-206","-203","-200","-197","-194","-191","-188","-185","-182","-179","-176","-173","-170","-167","-164","-161","-158","-155","-152","-149","-146","-143","-140","-137","-134","-131","-128","-125","-122","-119","-116","-113","-110","-107","-104","-101","-98","-95","-92","-89","-86","-83","-80","-77","-74","-71","-68","-65","-62","-59","-56","-53","-50","-47","-44","-41","-38","-35","-32","-29","-26","-23","-20","-17","-14","-11","-8","-5","-2","1","4","7","10","13","16","19","22","25","28","31","34","37","40","43","46","49","52","55","58","61","64","67","70","73","76","79","82","85","88","91","94","97","100","103","106","109","112","115","118","121","124","127","130","133","136","139","142","145","148","151","154","157","160","163","166","169","172","175","178","181","184","187","190","193","196","199","202","205","208","211","214","217","220","223","226","229","232","235","238","241","244","247","250","253","256","259","262","265","268","271","274","277","280","283","286","289","292","295","298","301","304","307","310","313","316","319","322","325","328","331","334","337","340","343","346","349","352","355","358","361","364","367","370","373","376","379","382","385","388","391","394","397","400","403","406","409","412","415","418","421","424","427","430","433","436","439","442","445","448","451","454","457","460","463","466","469","472","475","478","481","484","487","490","493","496","499","502","505","508","511","514","517","520","523","526","529","532","535","538","541","544","547","550","553","556","559","562","565","568","571","574","577","580","583","586","589","592","595","598","601","604","607","610","613","616","619","622","625","628","631","634","637","640","643","646","649","652","655","658","661","664","667","670","673","676","679","682","685","688","691","694","697","700","703","706","709","712","715","718","721","724","727","730","733","736","739","742","745","748","751","754","757","760","763","766","769","772","775","778","781","784","787","790","793","796"],"animate":true,"label":"$y$-interval","display_value":true},{"default":false,"var":"aspect_ratio","readonly":false,"control_type":"checkbox","label":"Aspect Ratio 1"}]}}︡
︠1b94f1e1-5f10-4062-8fb5-c63c787bda55︠









