︠5096dd68-ebe9-4c27-ac4e-02cc5ef8b7c5is︠
%html
<h2 style="color:blue">
    Bard - Sage - Implicit Plot Demo
</h2>
︡04a6d978-e17e-43ae-8f15-d7c0e7f80dd5︡{"html":"<h2 style=\"color:blue\">\n    Bard - Sage - Implicit Plot Demo\n</h2>\n"}︡
︠f73e373d-615c-4329-8c2e-9a6e9420ae63is︠
%html

<ul>
    <li>Put the cursor in the code below, and then click on Run (the green square with the triangle in the middle of the menu above).</li>
    <li>You can change the functions $f(x, y)$ and $g(x, y)$, and the $x$-interval and $y$-interval.</li>
</ul>

︡cb899559-cfd4-4239-8123-e19ce2e923ed︡{"html":"\n<ul>\n    <li>Put the cursor in the code below, and then click on Run (the green square with the triangle in the middle of the menu above).</li>\n    <li>You can change the functions $f(x, y)$ and $g(x, y)$, and the $x$-interval and $y$-interval.</li>\n</ul>\n\n"}︡
︠932d5e20-edc9-41e3-afb4-c41caff0563bs︠
y = var('y');
@interact
def _(
    f = input_box(default = x^2 + 2*y^2, label = "$f(x,y)$"),
    g = input_box(default = 3, label = "$g(x,y)$"),
    xinterval=range_slider(-50, 50, 1, default = (-5, 5), label = "$x$-interval"),
    yinterval=range_slider(-50, 50, 1, default = (-5, 5), label = "$y$-interval"),
    ):
        x_min, x_max = map(QQ, xinterval)
        y_min, y_max = map(QQ, yinterval)
        plt = implicit_plot(f == g, (x, x_min, x_max), (y, y_min, y_max), aspect_ratio=1)
        #html(r'$$%s = %s$$'% (latex(f), latex(g)))
        html(r'''
        <div class="math">
        \begin{align*}
        f(x, y) &= g(x, y) \\\
        %s &= %s
        \end{align*}
        </div>
        ''' % (latex(f), latex(g)))
        show(plt)
︡18133d46-b2e5-4ae0-9fe0-1c0f1e87833e︡{"interact":{"style":"None","flicker":false,"layout":[[["f",12,null]],[["g",12,null]],[["xinterval",12,null]],[["yinterval",12,null]],[["",12,null]]],"id":"ca28615f-2037-4927-a066-19a529a33127","controls":[{"control_type":"input-box","default":"x^2 + 2*y^2","label":"$f(x,y)$","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"f","type":null},{"control_type":"input-box","default":3,"label":"$g(x,y)$","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"g","type":null},{"control_type":"range-slider","default":[45,55],"var":"xinterval","width":null,"vals":["-50","-49","-48","-47","-46","-45","-44","-43","-42","-41","-40","-39","-38","-37","-36","-35","-34","-33","-32","-31","-30","-29","-28","-27","-26","-25","-24","-23","-22","-21","-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50"],"animate":true,"label":"$x$-interval","display_value":true},{"control_type":"range-slider","default":[45,55],"var":"yinterval","width":null,"vals":["-50","-49","-48","-47","-46","-45","-44","-43","-42","-41","-40","-39","-38","-37","-36","-35","-34","-33","-32","-31","-30","-29","-28","-27","-26","-25","-24","-23","-22","-21","-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50"],"animate":true,"label":"$y$-interval","display_value":true}]}}︡
︠2b6c8438-81e0-47f7-bef7-5c60baad5a1c︠









