︠1345e1e0-242a-4305-bf17-3f49212f3240i︠
%html
<h2 style="color:blue">
    Bard - Sage - Newton's Method Demo
</h2>
︡d1f64bc9-17e6-4b8c-9dc1-caf619e9f4cb︡{"html":"<h2 style=\"color:blue\">\n    Bard - Sage - Newton's Method Demo\n</h2>\n"}︡
︠8c0e3f17-7c49-4a83-b5b7-4b4ea1e44f6dis︠
%html

<ul>
    <li>Put the cursor in the code, and then click on Run (the green square with the in the middle of the above menu above).</li>
    <li>You can change the function $f(x)$, the point $a$, and the $x$-interval and $y$-interval.</li>
    <li>Click on different values of $n$, and see what happens to approximation obtained using Newton's method.</li>
</ul>

︡be1761b3-9ec0-4c0c-ac6a-702012317cea︡{"html":"\n<ul>\n    <li>Put the cursor in the code, and then click on Run (the green square with the in the middle of the above menu above).</li>\n    <li>You can change the function $f(x)$, the point $a$, and the $x$-interval and $y$-interval.</li>\n    <li>Click on different values of $n$, and see what happens to approximation obtained using Newton's method.</li>\n</ul>\n\n"}︡
︠8cd33e62-27f9-43aa-8c4f-2235fac330c4s︠
@interact
def _(
f = input_box(default=x^2 - 2),
a = input_box(default=4),
xinterval=range_slider(-10, 10, 1, default=(-4, 6), label="$x$-interval"),
yinterval=range_slider(-100, 100, 1, default=(-5, 36), label="$y$-interval"),
nnp = selector([1, 2, 3, 4, 5, 6, 7, 8, 9, 10], default=1, nrows=1, label="$n$"),
):
    derf = derivative(f, x);
    def itxx(i):
        result = a
        for i in range(2,i+1):
            result -= (n(f(itxx(i - 1))))/(n(derf(itxx(i - 1))))
        return result
    x_min, x_max = map(QQ, xinterval)
    y_min, y_max = map(QQ, yinterval)
    aa = n(a);
    plf = plot(f, x_min, x_max, ymin = y_min, ymax = y_max)
    xxptla = [(itxx(i), 0) for i in range(1,nnp+1)]
    xxptli = [point(xxptla[i-1], color = "red", size=40) for i in range(1,nnp+1)]
    xxptliz = sum(xxptli)
    fxxptla = [(itxx(i), n(f(itxx(i)))) for i in range(1,nnp)]
    fxxptli = [point(fxxptla[i-1], color = "darkgreen", size=40) for i in range(1,nnp)]
    fxxptliz = sum(fxxptli)
    fxxlli = [line([xxptla[i-1], fxxptla[i-1]], color="purple", linestyle="dotted") for i in range(1,nnp)]
    fxxlliz = sum(fxxlli)

    if nnp==1:
        pldfi = point((a, 0), color = "red", size=40)
    else:
        fai = n(f(itxx(nnp-1)));
        derfai = n(derf(itxx(nnp-1)));
        tanfi = derfai*(x - itxx(nnp-1)) + fai
        pldfi = plot(tanfi, x_min, x_max, ymin = y_min, ymax = y_max, color = "darkgreen")

    html(r'''
    <div class="math">
    \begin{align*}
    f(x) &= %s \\\
    a &= %s \\\
    n &= %s \\\
    x_n &= %s .
    \end{align*}
    </div>
    ''' % (latex(f), aa, nnp, itxx(nnp)))
    show(plf + pldfi + xxptliz + fxxptliz + fxxlliz, figsize=8)
︡c30fe16d-bb9f-4218-8005-aa6b03c40df7︡{"interact":{"style":"None","flicker":false,"layout":[[["f",12,null]],[["a",12,null]],[["xinterval",12,null]],[["yinterval",12,null]],[["nnp",12,null]],[["",12,null]]],"id":"3c4ec316-a515-414f-852e-0cb2279b33ea","controls":[{"control_type":"input-box","default":"x^2 - 2","label":"f","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"f","type":null},{"control_type":"input-box","default":4,"label":"a","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"a","type":null},{"control_type":"range-slider","default":[6,16],"var":"xinterval","width":null,"vals":["-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10"],"animate":true,"label":"$x$-interval","display_value":true},{"control_type":"range-slider","default":[95,136],"var":"yinterval","width":null,"vals":["-100","-99","-98","-97","-96","-95","-94","-93","-92","-91","-90","-89","-88","-87","-86","-85","-84","-83","-82","-81","-80","-79","-78","-77","-76","-75","-74","-73","-72","-71","-70","-69","-68","-67","-66","-65","-64","-63","-62","-61","-60","-59","-58","-57","-56","-55","-54","-53","-52","-51","-50","-49","-48","-47","-46","-45","-44","-43","-42","-41","-40","-39","-38","-37","-36","-35","-34","-33","-32","-31","-30","-29","-28","-27","-26","-25","-24","-23","-22","-21","-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59","60","61","62","63","64","65","66","67","68","69","70","71","72","73","74","75","76","77","78","79","80","81","82","83","84","85","86","87","88","89","90","91","92","93","94","95","96","97","98","99","100"],"animate":true,"label":"$y$-interval","display_value":true},{"buttons":false,"control_type":"selector","ncols":null,"button_classes":null,"default":0,"lbls":["1","2","3","4","5","6","7","8","9","10"],"label":"$n$","nrows":1,"width":null,"var":"nnp"}]}}︡
︠80aef732-0a00-4624-96d2-879f3949cced︠

︡244551f5-833c-46f5-b354-d5bd4d40f9d6︡
︠2f438292-45d0-4078-b8bc-87268971394e︠









