︠7cbd9219-b09a-4d4c-8acf-6d5c796345ecis︠
%html
<h2 style="color:blue">
    Bard - Sage - Riemann Sums Demo
</h2>
︡44e4fa56-99f9-4722-9709-424dc3df4511︡{"html":"<h2 style=\"color:blue\">\n    Bard - Sage - Riemann Sums Demo\n</h2>\n"}︡
︠ef62fe1f-f188-41b2-a293-a94be9b506c9is︠
%html

<ul>
    <li>Put the cursor in the code below, and then click on Run (the green square with the triangle in the middle of the menu above).</li>
    <li>You can change the function $f(x)$, the interval $[a, b]$, and the $x$-interval and $y$-interval.</li>
    <li>Increase the number of subintervals, and see what happens to the Left Sum, Midpoint Sum and Right Sum.  Click on Left, Rigth or Midpoint to see the rectangles associated with that type of sum.</li>
</ul>

︡fffdd5ef-6689-4814-9d29-8c5fa8bc1085︡{"html":"\n<ul>\n    <li>Put the cursor in the code below, and then click on Run (the green square with the triangle in the middle of the menu above).</li>\n    <li>You can change the function $f(x)$, the interval $[a, b]$, and the $x$-interval and $y$-interval.</li>\n    <li>Increase the number of subintervals, and see what happens to the Left Sum, Midpoint Sum and Right Sum.  Click on Left, Rigth or Midpoint to see the rectangles associated with that type of sum.</li>\n</ul>\n\n"}︡
︠d94c799c-6ea1-43d1-a812-11ab152876b9s︠
@interact
def _(
    f = input_box(default=x^2),
    abinterval=range_slider(-10, 10, 1, default=(0, 2), label="[a, b]"),
    xinterval=range_slider(-10, 10, 1, default=(-1, 3), label="x-interval"),
    yinterval=range_slider(-100, 100, 1, default=(-2, 10), label="y-interval"),
    n = slider(2, 100, 2, default=4, label="subintervals"),
    en = selector(['Left', 'Right', 'Midpoint'], nrows=1, label="Sum")
    ):
        a, b = map(QQ, abinterval)
        x_min, x_max = map(QQ, xinterval)
        y_min, y_max = map(QQ, yinterval)
        dx = (b - a)/n
        apr = (x_max - x_min)/(y_max - y_min)
        if en == 'Left':
            z = [
                line(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + (i-1)*dx))],
                color = 'red', thickness=1
                ) for i in [1..n]
                ]
            w = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + (i-1)*dx)), (a + i*dx,f(a + (i-1)*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.3, color = 'purple'
                ) for i in [1..n]
                ]
            u = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + (i-1)*dx)), (a + i*dx,f(a + (i-1)*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.8, color = 'purple', fill = False
                ) for i in [1..n]
                ]
        elif en == 'Right':
            z = [line([(a + i*dx,0), (a + i*dx,f(a + i*dx))], color = 'red', thickness=1) for i in [1..n]]
            w = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + i*dx)), (a + i*dx,f(a + i*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.3, color = 'purple'
                ) for i in [1..n]
                ]
            u = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + i*dx)), (a + i*dx,f(a + i*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.8, color = 'purple', fill = False
                ) for i in [1..n]
                ]
        elif en == 'Midpoint':
            z = [line([(a + (i-1/2)*dx,0), (a + (i-1/2)*dx,f(a + (i-1/2)*dx))], color = 'red', thickness=1) for i in [1..n]]
            w = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + (i-1/2)*dx)), (a + i*dx,f(a + (i-1/2)*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.3, color = 'purple'
                ) for i in [1..n]
                ]
            u = [
                polygon2d(
                [(a + (i-1)*dx,0), (a + (i-1)*dx,f(a + (i-1/2)*dx)), (a + i*dx,f(a + (i-1/2)*dx)), (a + i*dx,0), (a + (i-1)*dx,0)],
                alpha = 0.8, color = 'purple', fill = False
                ) for i in [1..n]
                ]
        zz = sum(z)
        ww = sum(w)
        uu = sum(u)
        gl = sum([f(a + (i-1)*dx)*dx for i in [1..n]]).n()
        gr = sum([f(a + i*dx)*dx for i in [1..n]]).n()
        gm = sum([f(a + (i-1/2)*dx)*dx for i in [1..n]]).n()
        plf = plot(f, x_min, x_max, ymin = y_min, ymax = y_max)
        html(r'''
        <div class="math">
        \begin{align*}
        f(x) &= %s \\\
        a &= %s \\\
        b &= %s \\\
        n &= %s \\\
        \text{Left Sum} = %s \qquad \text{Midpoint Sum} &= %s \qquad \text{Right Sum} = %s
        \end{align*}
        </div>
        ''' % (latex(f), a, b, n, gl, gm, gr))
        show(plf + zz + ww + uu, aspect_ratio=apr, figsize=8)
︡caab0169-24bf-4a77-9696-981aa1cd64f6︡{"interact":{"style":"None","flicker":false,"layout":[[["f",12,null]],[["abinterval",12,null]],[["xinterval",12,null]],[["yinterval",12,null]],[["n",12,null]],[["en",12,null]],[["",12,null]]],"id":"9a0122f9-9489-48f5-9d5d-a6e51be7adad","controls":[{"control_type":"input-box","default":"x^2","label":"f","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"f","type":null},{"control_type":"range-slider","default":[10,12],"var":"abinterval","width":null,"vals":["-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10"],"animate":true,"label":"[a, b]","display_value":true},{"control_type":"range-slider","default":[9,13],"var":"xinterval","width":null,"vals":["-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10"],"animate":true,"label":"x-interval","display_value":true},{"control_type":"range-slider","default":[98,110],"var":"yinterval","width":null,"vals":["-100","-99","-98","-97","-96","-95","-94","-93","-92","-91","-90","-89","-88","-87","-86","-85","-84","-83","-82","-81","-80","-79","-78","-77","-76","-75","-74","-73","-72","-71","-70","-69","-68","-67","-66","-65","-64","-63","-62","-61","-60","-59","-58","-57","-56","-55","-54","-53","-52","-51","-50","-49","-48","-47","-46","-45","-44","-43","-42","-41","-40","-39","-38","-37","-36","-35","-34","-33","-32","-31","-30","-29","-28","-27","-26","-25","-24","-23","-22","-21","-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59","60","61","62","63","64","65","66","67","68","69","70","71","72","73","74","75","76","77","78","79","80","81","82","83","84","85","86","87","88","89","90","91","92","93","94","95","96","97","98","99","100"],"animate":true,"label":"y-interval","display_value":true},{"control_type":"slider","default":1,"var":"n","width":null,"vals":["2","4","6","8","10","12","14","16","18","20","22","24","26","28","30","32","34","36","38","40","42","44","46","48","50","52","54","56","58","60","62","64","66","68","70","72","74","76","78","80","82","84","86","88","90","92","94","96","98","100"],"animate":true,"label":"subintervals","display_value":true},{"buttons":false,"control_type":"selector","ncols":null,"button_classes":null,"default":0,"lbls":["Left","Right","Midpoint"],"label":"Sum","nrows":1,"width":null,"var":"en"}]}}︡
︠b5cd6c28-94d7-41a1-a0d6-3442ac85e098︠
︡3e1e49a1-ba61-48a5-9d16-7f84400b4a6f︡
︠e4f582ba-b7a7-4807-b0ba-f1febf3d0438︠









