︠1345e1e0-242a-4305-bf17-3f49212f3240is︠
%html
<h2 style="color:blue">
    Bard - Sage - Bisection Method Demo
</h2>
︡7cd5b7bb-ac9d-4bb1-b0d9-55961adc71ae︡{"html":"<h2 style=\"color:blue\">\n    Bard - Sage - Bisection Method Demo\n</h2>\n"}︡
︠8c0e3f17-7c49-4a83-b5b7-4b4ea1e44f6dis︠
%html

<ul>
    <li>Put the cursor in the code, and then click on Run (the green square with the in the middle of the above menu above).</li>
    <li>You can change the function $f(x)$, the points $a$ and $b$, and the $x$-interval and $y$-interval.</li>
    <li>Click on different values of $n$, and see what happens to approximation obtained using the Bisection method.</li>
</ul>

︡f78db674-467c-4154-8839-0886c03b6e58︡{"html":"\n<ul>\n    <li>Put the cursor in the code, and then click on Run (the green square with the in the middle of the above menu above).</li>\n    <li>You can change the function $f(x)$, the points $a$ and $b$, and the $x$-interval and $y$-interval.</li>\n    <li>Click on different values of $n$, and see what happens to approximation obtained using the Bisection method.</li>\n</ul>\n\n"}︡
︠8cd33e62-27f9-43aa-8c4f-2235fac330c4s︠
x, y = var('x y')
@interact
def _(
f = input_box(default=x^2 - 2),
a = input_box(default=0),
b = input_box(default=4),
xinterval=range_slider(-10, 10, 1, default=(-4, 6), label="$x$-interval"),
yinterval=range_slider(-100, 100, 1, default=(-5, 36), label="$y$-interval"),
nnp = selector([1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12], default=1, nrows=1, label="$n$"),
):
    def ave((x, y)):
        q = n((x + y)/2)
        return q
    def whichpts((x, y)) :
        if f(x)*f(ave((x, y))) < 0:
            p = (x, ave((x, y)))
        else:
            p = (ave((x, y)), y)
        return p
    def itxab(i):
        result = (a, b)
        for i in range(2,i+1):
            result = whichpts(itxab(i - 1))
        return result
    x_min, x_max = map(QQ, xinterval)
    y_min, y_max = map(QQ, yinterval)
    aa = n(a);
    bb = n(b);
    plf = plot(f, x_min, x_max, ymin = y_min, ymax = y_max)
    xxptlaa = [(itxab(i)[0], 0) for i in range(1,nnp+1)]
    xxptlab = [(itxab(i)[1], 0) for i in range(1,nnp+1)]
    xxptlia = [point(xxptlaa[i-1], color = "blue", size=40) for i in range(1,nnp+1)]
    xxptlib = [point(xxptlab[i-1], color = "red", size=40) for i in range(1,nnp+1)]
    xxptliaz = sum(xxptlia)
    xxptlibz = sum(xxptlib)
    xpxxptlnn = ave((itxab(nnp)[0],itxab(nnp)[1]))
    mxxptlnn = point((xpxxptlnn, 0), color = "purple", size=40)

    html(r'''
    <div class="math">
    \begin{align*}
    f(x) &= %s \\\
    a &= %s \\\
    b &= %s \\\
    n &= %s \\\
    x_n &= %s .
    \end{align*}
    </div>
    ''' % (latex(f), aa, bb, nnp, xpxxptlnn))
    show(plf + xxptliaz + xxptlibz + mxxptlnn, figsize=8)
︡01585d69-5b5b-4884-a47b-8216801224fa︡{"interact":{"style":"None","flicker":false,"layout":[[["f",12,null]],[["a",12,null]],[["b",12,null]],[["xinterval",12,null]],[["yinterval",12,null]],[["nnp",12,null]],[["",12,null]]],"id":"af801266-b446-4156-ab53-7e8be0a5145e","controls":[{"control_type":"input-box","default":"x^2 - 2","label":"f","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"f","type":null},{"control_type":"input-box","default":0,"label":"a","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"a","type":null},{"control_type":"input-box","default":4,"label":"b","nrows":1,"width":null,"readonly":false,"submit_button":null,"var":"b","type":null},{"control_type":"range-slider","default":[6,16],"var":"xinterval","width":null,"vals":["-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10"],"animate":true,"label":"$x$-interval","display_value":true},{"control_type":"range-slider","default":[95,136],"var":"yinterval","width":null,"vals":["-100","-99","-98","-97","-96","-95","-94","-93","-92","-91","-90","-89","-88","-87","-86","-85","-84","-83","-82","-81","-80","-79","-78","-77","-76","-75","-74","-73","-72","-71","-70","-69","-68","-67","-66","-65","-64","-63","-62","-61","-60","-59","-58","-57","-56","-55","-54","-53","-52","-51","-50","-49","-48","-47","-46","-45","-44","-43","-42","-41","-40","-39","-38","-37","-36","-35","-34","-33","-32","-31","-30","-29","-28","-27","-26","-25","-24","-23","-22","-21","-20","-19","-18","-17","-16","-15","-14","-13","-12","-11","-10","-9","-8","-7","-6","-5","-4","-3","-2","-1","0","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19","20","21","22","23","24","25","26","27","28","29","30","31","32","33","34","35","36","37","38","39","40","41","42","43","44","45","46","47","48","49","50","51","52","53","54","55","56","57","58","59","60","61","62","63","64","65","66","67","68","69","70","71","72","73","74","75","76","77","78","79","80","81","82","83","84","85","86","87","88","89","90","91","92","93","94","95","96","97","98","99","100"],"animate":true,"label":"$y$-interval","display_value":true},{"buttons":false,"control_type":"selector","ncols":null,"button_classes":null,"default":0,"lbls":["1","2","3","4","5","6","7","8","9","10","11","12"],"label":"$n$","nrows":1,"width":null,"var":"nnp"}]}}︡
︠0ee40123-f6c5-4ab0-a51e-e0e39444e3ca︠

︠fb81bea7-7efc-47e3-aa14-a88a8370ad97︠









