︠8fa90087-5e31-42b7-898a-7400fc53f7e5is︠
%html
<h2 style="color:blue">
    Bard - Sage - Determinants and Eigenvalues Demo
</h2>
︡f9429ed8-8ab7-4109-9bec-8cf18b0e96f9︡{"html":"<h2 style=\"color:blue\">\n    Bard - Sage - Determinants and Eigenvalues Demo\n</h2>\n"}︡
︠9c62fd0c-f2d1-4ad7-b559-ba909c2e603di︠
︡c97188b6-e6df-44fe-a645-fb82b04938b5︡{"html":"\n<h3>\n    Using the Sage Interface\n</h3>\n\n<ul>\n    <li>Each activity starts after a gray horizontal line.</li>\n    <li>Write the commands, then put the cursor in the code, and then click on Run.</li>\n    <li>The output will appear after the commands, and a new gray line will appear, allowing for a new activity.</li>\n    <li>If there is an error in the code, error messages will appear in red.</li>\n    <li>Many Sage commands can be found in the menus at the top of the page.  When a menu item is clicked, an example will appear where the cursor was; the example can then be modified to do what you want.</li>\n    </ul>\n\n"}︡
︠5e69c7b6-79ce-4afc-8724-9a5ad5d383a2︠
︡6ee7c2cc-d72f-43ab-827d-67fc2bf37c14︡{"html":"\n<h4>\n    Defining a matrix\n</h4>\n\n<ul>\n    <li>When a matrix is defined, the matrix is not automatically displayed.  To display the matrix, type its name on the line after the definition of the matrix.</li>\n    <li>The <tt>QQ</tt> in the following example tell Sage to think of the matrix as having rational number entries.  If you replace <tt>QQ</tt> with <tt>RR</tt>, as in the next example, the matrix will be displayed with decimal entries.</li>\n</ul>"}︡
︠712bc9c2-076b-4784-97d5-6d66fca8ddb9︠
M = Matrix(QQ,[[1,2,3],[3,2,1],[4,1,-1]])
M
︠8bad9ca5-5ff8-4314-a133-ea458aa32269︠
P = Matrix(RR,[[1,2,3],[3,2,1],[4,1,-1]])
P
︠0a0deccb-c557-4f1f-bc66-b9ff8dc77b49is︠
%html

<h4>
    Determiant of a matrix
</h4>

<ul>
    <li>The inverse of a matrix is written  <tt>A.determinant()</tt>.</li>
</ul>
︡6a46d29b-92ff-41a7-85bd-4988beca2fcc︡{"html":"\n<h4>\n    Determiant of a matrix\n</h4>\n\n<ul>\n    <li>The inverse of a matrix is written  <tt>A.determinant()</tt>.</li>\n</ul>\n"}︡
︠5f28691a-968d-49d0-a416-464071559741s︠
A = Matrix(QQ,[[1,-2,0],[4,1,-1],[0,3,-5]])
A.determinant()
︠b5eee498-b5c2-46ef-92a4-2b7c737112b4is︠
%html

<h4>
    Characteristic polynomial of a matrix
</h4>

<ul>
    <li>The characteristic polynomial of a matrix is written  <tt>A.characteristic_polynomial()</tt>.</li>
</ul>
︡a6bf86de-d5ed-4d61-b809-cb695ac0d300︡{"html":"\n<h4>\n    Characteristic polynomial of a matrix\n</h4>\n\n<ul>\n    <li>The characteristic polynomial of a matrix is written  <tt>A.characteristic_polynomial()</tt>.</li>\n</ul>\n"}︡
︠1c91e20f-889f-4cd4-a799-6708084adcaes︠
A = Matrix(QQ,[[1,-2,0],[4,1,-1],[0,3,-5]])
A.characteristic_polynomial()
︠eb001c66-81af-4962-8b59-c4c7a03647f7is︠
%html

<h4>
    Factoring the characteristic polynomial of a matrix
</h4>

<ul>
    <li>The factored characteristic polynomial of a matrix is written <tt>A.characteristic_polynomial().factor()</tt>.  This factorization will take place in the rational numbers (QQ), the real numbers (RR) or the complex numbers (CC), depending upon how the matrix is defined.</li>
</ul>
︡f17ddf32-c491-4d40-9886-aba9922a7b5d︡{"html":"\n<h4>\n    Factoring the characteristic polynomial of a matrix\n</h4>\n\n<ul>\n    <li>The factored characteristic polynomial of a matrix is written <tt>A.characteristic_polynomial().factor()</tt>.  This factorization will take place in the rational numbers (QQ), the real numbers (RR) or the complex numbers (CC), depending upon how the matrix is defined.</li>\n</ul>\n"}︡
︠1cd3f5da-051e-4c27-acbe-d1179c5b9326s︠
A = Matrix(QQ,[[1,-2,0],[4,1,-1],[0,3,-5]])
A.characteristic_polynomial().factor()
︠10fb02ff-b3c1-42f0-98c5-13a26d928766s︠
B = Matrix(RR,[[1,-2,0],[4,1,-1],[0,3,-5]])
B.characteristic_polynomial().factor()
︠9cec909c-f42d-448b-9479-0befc37a7395s︠
D = Matrix(CC,[[1,-2,0],[4,1,-1],[0,3,-5]])
D.characteristic_polynomial().factor()
︠c92bffa8-16f3-4258-bc6e-dbe904b9c2deis︠
%html

<h4>
    Eigenvalues of a matrix
</h4>
ssis
<ul>
    <li>The eigenvalues of a matrix are found by writting  <tt>A.eigenvalues()</tt>.</li>
    <li>The eigenvalues found by Sage may depend upon whether the matrix is defined in the rational numbers (QQ), the real numbers (RR) or the complex numbers (CC).</li>
</ul>
︡cf4bc88a-dd0c-4326-9f5c-d595c3587d2b︡{"html":"\n<h4>\n    Eigenvalues of a matrix\n</h4>\n\n<ul>\n    <li>The eigenvalues of a matrix are found by writting  <tt>A.eigenvalues()</tt>.</li>\n    <li>The eigenvalues found by Sage may depend upon whether the matrix is defined in the rational numbers (QQ), the real numbers (RR) or the complex numbers (CC).</li>\n</ul>\n"}︡
︠6419eec2-5365-4f67-8cab-213efa173e59s︠
A = Matrix(QQ,[[1,-2,0],[4,1,-1],[0,3,-5]])
A.eigenvalues()
︠0323eff5-682a-45a7-9161-fb3d40adac43s︠
B = Matrix(QQ,[[1,-2,0],[4,1,-1],[0,3,-5]])
B.eigenvalues()
︠3cddb560-e0b0-4c85-a394-32e05a61487fs︠
D = Matrix(CC,[[1,-2,0],[4,1,-1],[0,3,-5]])
D.eigenvalues()
︠c948d566-df64-44fc-8d82-1f72547bbb10︠









